Windows XP / Vista 및 Windows Server 2003에서 NI ADE 설치 프로그램이 실패하는 이유

업데이트 됨 Sep 26, 2019

해당 제품

Software

  • LabVIEW Full

문의사항

NI 소프트웨어를 사용하여 배포판을 만들고 최소 운영 체제 버전으로 Windows XP, Windows Vista 및 Windows Server 2003을 선택했습니다. 그러나 Windows XP, Windows Vista 및 Windows Server 2003 컴퓨터에 이 빌드 된 설치 프로그램을 설치하려고 하면 오류가 발생합니다.

해결책

NI 인스톨러는 배포판 생성에 사용되는 기본 엔진인 Meta Deployment Framework (MDF) 16.0부터 Windows XP, Windows Vista 및 Windows Server 2003을 더 이상 지원하지 않습니다. Windows XP, Windows Vista 및 Windows Server 2003에서 실행되는 MDF 배포판을 빌드 할 수있는 이전 버전의 ADE가 있을 수 있습니다.

그러나 16.0 MDF 지원 구성 요소가 포함된 NI 소프트웨어를 설치 한 경우, 시스템이 16.0 MDF 엔진으로 업그레이드됩니다. 즉, Windows XP, Windows Vista 및 Windows Server 2003에서 ADE가 원래 이 OS를 지원했더라도 배포판을 더 이상 만들 수 없음을 의미합니다.

현재 시스템에 설치 한 MDF 버전을 확인하려면 <ProgramData> \ National Instruments \ MDF \ BinRTE 폴더로 이동하십시오. MdfCommon.dll » 속성 » 세부 정보 » 파일 버전 에서 마우스를 우 클릭합니다.

Windows XP, Windows Vista 또는 Windows Server 2003에서 배포 설치 프로그램을 반드시 실행해야 하는 경우 다음 단계를 완료할 수 있습니다. NI는 다음 변경시 배포 설치 프로그램이 항상 성공적으로 실행될 것이라고 보장하지 않습니다.

  1. 빌드 된 배포 설치 관리자 폴더에 있는 setup.ini 파일을 엽니다.
  2. VersionNTMin = 6,1,7601,1,0 행을 찾으십시오.
  3. 이 행을 VersionNTMin = 5,1,2600,3,0 으로 수정하십시오.
  4. setup.ini 파일을 저장하십시오.
  5. 이렇게 하면 배포 설치 관리자의 지원되는 최소 OS 버전이 Windows 7 SP1에서 Windows XP SP3으로 변경됩니다.
참고 : 새 배포 설치 프로그램을 빌드 할 때마다 이 단계를 반복해야합니다.

이 글이 도움이 되셨습니까?

도움 안됨